LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XReferenceCollector Interface Reference

Interface of Signature Collector. More...

`import"XReferenceCollector.idl";`

Inheritance diagram for XReferenceCollector:

## Public Member Functions
void | setReferenceCount ([in] long count) raises ( com::sun::star::uno::Exception )
| Sets the reference count of the signature. More...
void | setReferenceId ([in] long id) raises ( com::sun::star::uno::Exception )
| Set the keeper id of the element collector of the referenced element. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Signature Collector.

This interface is used to control collecting a signature.

## Member Function Documentation

## ◆ setReferenceCount()

void setReferenceCount | ( | [in] long | count | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Sets the reference count of the signature.

Parameters

  count | the reference count of the signature

## ◆ setReferenceId()

void setReferenceId | ( | [in] long | id | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Set the keeper id of the element collector of the referenced element.

Parameters

  id | the keeper id of the element collector, which is collecting a referenced element

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XReferenceCollector.idl